com.ietnet.fse.igestore.impl.entities

## Class ConsensoPregressoEntity

- java.lang.Object
- - com.ietnet.fse.igestore.impl.entities.ConsensoPregressoEntity

-     @Entity
      public class ConsensoPregressoEntity
      extends java.lang.Object

  Author:
    alcaro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsensoPregressoEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getCodiceAssistito()`
    `java.sql.Timestamp` | `getDataFine()`
    `java.sql.Timestamp` | `getDataInizio()`
    `java.sql.Timestamp` | `getDataRegistrazione()`
    `java.lang.String` | `getDescrDocAssistito()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getIdDocAssistito()`
    `java.lang.String` | `getIdOperatoreReg()`
    `java.lang.String` | `getPregresso()`
    `int` | `hashCode()`
    `void` | `setCodiceAssistito(java.lang.String codiceAssistito)`
    `void` | `setDataFine(java.sql.Timestamp dataFine)`
    `void` | `setDataInizio(java.sql.Timestamp dataInizio)`
    `void` | `setDataRegistrazione(java.sql.Timestamp dataRegistrazione)`
    `void` | `setDescrDocAssistito(java.lang.String descrDocAssistito)`
    `void` | `setId(java.lang.String id)`
    `void` | `setIdDocAssistito(java.lang.String idDocAssistito)`
    `void` | `setIdOperatoreReg(java.lang.String idOperatoreReg)`
    `void` | `setPregresso(java.lang.String pregresso)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsensoPregressoEntity

          public ConsensoPregressoEntity()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getPregresso

          public java.lang.String getPregresso()

    - #### setPregresso

          public void setPregresso(java.lang.String pregresso)

    - #### getDataRegistrazione

          public java.sql.Timestamp getDataRegistrazione()

    - #### setDataRegistrazione

          public void setDataRegistrazione(java.sql.Timestamp dataRegistrazione)

    - #### getDataInizio

          public java.sql.Timestamp getDataInizio()

    - #### setDataInizio

          public void setDataInizio(java.sql.Timestamp dataInizio)

    - #### getDataFine

          public java.sql.Timestamp getDataFine()

    - #### setDataFine

          public void setDataFine(java.sql.Timestamp dataFine)

    - #### getDescrDocAssistito

          public java.lang.String getDescrDocAssistito()

    - #### setDescrDocAssistito

          public void setDescrDocAssistito(java.lang.String descrDocAssistito)

    - #### getIdDocAssistito

          public java.lang.String getIdDocAssistito()

    - #### setIdDocAssistito

          public void setIdDocAssistito(java.lang.String idDocAssistito)

    - #### getCodiceAssistito

          public java.lang.String getCodiceAssistito()

    - #### setCodiceAssistito

          public void setCodiceAssistito(java.lang.String codiceAssistito)

    - #### getIdOperatoreReg

          public java.lang.String getIdOperatoreReg()

    - #### setIdOperatoreReg

          public void setIdOperatoreReg(java.lang.String idOperatoreReg)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`